/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.dto;

import jp.mosp.common.common.BaseDto;
import jp.mosp.common.dto.KintaiCommonDtoInterface;

public class MScheduleDto extends BaseDto implements KintaiCommonDtoInterface {

	private static final long serialVersionUID = 3115468966868261668L;

	// フィールド
	private String 	kcode 		= "";	//社員コード
	private String 	hizuke 		= "";	//日付
	private int 	nen 		= 0;	//年
	private int 	tuki 		= 0;	//月
	private int 	hi 			= 0;	//日
	private String syozoku 		= "";	//所属コード
	private String ninsyo 		= "";	//認証者
	private String syjikoku 	= "";	//出勤時刻
	private String kinmu 		= "";	//勤務形態
	private String shankyukb 	= "";	//半休区分（午前）
	private String kyusyukb 	= "";	//休出区分
	private String tiriyuu 		= "";	//遅刻理由
	private String ticoment 	= "";	//遅刻コメント
	private String tisyoumei 	= "";	//遅刻証明書
	private int 	tijikan 	= 0;	//遅刻時間
	private String sytimes 		= "";	//出勤入力日時
	private String tajikoku 	= "";	//退社時刻
	private int 	kinmuji 	= 0;	//勤務時間
	private int 	kyukeiji 	= 0;	//休憩時間
	private String thankyukb 	= "";	//半休区分（午後）
	private String soriyuu 		= "";	//早退理由
	private String socoment 	= "";	//早退コメント
	private String sosyoumei 	= "";	//早退証明書
	private int 	sojikan 	= 0;	//早退時間
	private int 	zajikan 	= 0;	//残業時間
	private int 	ksjikan 	= 0;	//休出時間
	private int 	snjikan 	= 0;	//深夜時間
	private int 	syokuji 	= 0;	//食事手当支給
	private int 	cyoku1 		= 0;	//1直手当支給
	private int 	cyoku2 		= 0;	//2直手当支給
	private int 	cyoku3 		= 0;	//3直手当支給
	private int 	hoka1 		= 0;	//その他支給1
	private int 	hoka2 		= 0;	//その他支給2
	private int 	hoka3 		= 0;	//その他支給3
	private int 	hoka4 		= 0;	//その他支給4
	private int 	hoka5 		= 0;	//その他支給5
	private String tatimes 		= "";	//退社入力日時
	private String kkriyuu 		= "";	//休暇理由
	private String daikyujyu 	= "";	//代休充当日
	private String kkcoment 	= "";	//休暇コメント
	private String kksyoumei 	= "";	//休暇証明書
	private int 	kkjikan 	= 0;	//休暇時間
	private String kktimes 		= "";	//休暇入力日時
	private String snriyuu 		= "";	//承認理由
	private String sncoment 	= "";	//承認コメント
	private String sntimes 		= "";	//承認入力日時
	private String updttimes 	= "";	//更新日時
	private int 	nijikyu 	= 0;	//二時間年休
	private int 	warimasi1 	= 0;	// 1.00割増
	private String zkinmu 		= "";	// 前回勤務形態
	/**
	 * コンストラクタ
	 */
	public MScheduleDto(){
		super();
	}

	// アクセサメソッド
	public String 	getKCode() 		{ return kcode 		; }	//社員コード
	public String 	getHizuke() 	{ return hizuke 	; }	//日付
	public int 	getNen() 		{ return nen 		; }	//年
	public int 	getTuki() 		{ return tuki 		; }	//月
	public int 	getHi() 		{ return hi			; }	//日
	public String 	getSyozoku() 	{ return syozoku 	; }	//所属コード
	public String 	getNinsyo() 	{ return ninsyo 	; }	//認証者
	public String 	getSyJikoku() 	{ return syjikoku 	; }	//出勤時刻
	public String 	getKinmu() 		{ return kinmu 		; }	//勤務形態
	public String 	getSHankyuKb() 	{ return shankyukb 	; }	//半休区分
	public String 	getKyusyuKb() 	{ return kyusyukb 	; }	//休出区分
	public String 	getTiRiyuu() 	{ return tiriyuu 	; }	//遅刻理由
	public String 	getTiComent()	{ return ticoment 	; }	//遅刻コメント
	public String 	getTiSyoumei() 	{ return tisyoumei 	; }	//遅刻証明書
	public int 	getTiJikan() 	{ return tijikan 	; }	//遅刻時間
	public String 	getSyTimes() 	{ return sytimes 	; }	//出勤入力日時
	public String 	getTaJikoku() 	{ return tajikoku 	; }	//退社時刻
	public int 	getKinmuJi() 	{ return kinmuji 	; }	//勤務時間
	public int 	getKyukeiJi()  	{ return kyukeiji 	; }	//休憩時間
	public String 	getTHankyuKb() 	{ return thankyukb 	; }	//半休区分
	public String 	getSoRiyuu() 	{ return soriyuu 	; }	//早退理由
	public String 	getSoComent() 	{ return socoment 	; }	//早退コメント
	public String 	getSoSyoumei() 	{ return sosyoumei 	; }	//早退証明書
	public int 	getSoJikan() 	{ return sojikan 	; }	//早退時間
	public int 	getZaJikan() 	{ return zajikan 	; }	//残業時間
	public int 	getKsJikan() 	{ return ksjikan 	; }	//休出時間
	public int 	getSnJikan() 	{ return snjikan 	; }	//深夜時間
	public int 	getSyokuji() 	{ return syokuji 	; }	//食事手当支給
	public int 	getCyoku1() 	{ return cyoku1 	; }	//1直手当支給
	public int 	getCyoku2() 	{ return cyoku2 	; }	//2直手当支給
	public int 	getCyoku3() 	{ return cyoku3 	; }	//3直手当支給
	public int 	getHoka1() 		{ return hoka1 		; }	//その他支給1
	public int 	getHoka2() 		{ return hoka2 		; }	//その他支給2
	public int 	getHoka3() 		{ return hoka3 		; }	//その他支給3
	public int 	getHoka4() 		{ return hoka4 		; }	//その他支給4
	public int 	getHoka5() 		{ return hoka5 		; }	//その他支給5
	public String 	getTaTimes() 	{ return tatimes 	; }	//退社入力日時
	public String 	getKKRiyuu() 	{ return kkriyuu 	; }	//休暇理由
	public String 	getDaiKyuJyu() 	{ return daikyujyu 	; }	//代休充当日
	public String 	getKKComent() 	{ return kkcoment 	; }	//休暇コメント
	public String 	getKKSyoumei() 	{ return kksyoumei 	; }	//休暇証明書
	public int 	getKKJikan() 	{ return kkjikan 	; }	//休暇時間
	public String 	getKKTimes() 	{ return kktimes 	; }	//休暇入力日時
	public String 	getSnRiyuu() 	{ return snriyuu 	; }	//承認理由
	public String 	getSnComent() 	{ return sncoment 	; }	//承認コメント
	public String 	getSnTimes() 	{ return sntimes 	; }	//承認入力日時
	public String 	getUpdtTimes() 	{ return updttimes 	; }	//更新日時
	public int 	getNijiKyu()	{ return nijikyu	; } //二時間年休
	public int 	getWarimasi1() 	{ return warimasi1	; }	//1.00割増時間
	public String 	getZKinmu() 	{ return zkinmu		; }	//前回勤務形態

	public void setKCode 		(String kCode 		) { this.kcode  	= kCode 	; }	//社員コード
	public void setHizuke 		(String hizuke 		) { this.hizuke  	= hizuke 	; }	//日付
	public void setNen 		(int 	nen 		) { this.nen  		= nen 		; }	//年
	public void setTuki 		(int 	tuki 		) { this.tuki  		= tuki 		; }	//月
	public void setHi 			(int 	hi 			) { this.hi  		= hi 		; }	//日
	public void setSyozoku 	(String syozoku 	) { this.syozoku  	= syozoku 	; }	//所属コード
	public void setNinsyo 		(String ninsyo 		) { this.ninsyo  	= ninsyo 	; }	//認証者
	public void setSyJikoku 	(String syJikoku 	) { this.syjikoku  	= syJikoku 	; }	//出勤時刻
	public void setKinmu 		(String kinmu 		) { this.kinmu  	= kinmu 	; }	//勤務形態
	public void setSHankyuKb 	(String sHankyuKb 	) { this.shankyukb 	= sHankyuKb ; }	//半休区分
	public void setKyusyuKb 	(String kyusyuKb 	) { this.kyusyukb  	= kyusyuKb 	; }	//休出区分
	public void setTiRiyuu 	(String tiRiyuu 	) { this.tiriyuu  	= tiRiyuu 	; }	//遅刻理由
	public void setTiComent 	(String tiComent 	) { this.ticoment  	= tiComent 	; }	//遅刻コメント
	public void setTiSyoumei 	(String tiSyoumei 	) { this.tisyoumei 	= tiSyoumei ; }	//遅刻証明書
	public void setTiJikan 	(int 	tiJikan 	) { this.tijikan  	= tiJikan 	; }	//遅刻時間
	public void setSyTimes 	(String syTimes 	) { this.sytimes  	= syTimes 	; }	//出勤入力日時
	public void setTaJikoku 	(String taJikoku 	) { this.tajikoku  	= taJikoku 	; }	//退社時刻
	public void setKinmuJi 	(int 	kinmuJi 	) { this.kinmuji  	= kinmuJi 	; }	//勤務時間
	public void setKyukeiJi 	(int 	kyukeiJi 	) { this.kyukeiji  	= kyukeiJi 	; }	//休憩時間
	public void setTHankyuKb 	(String tHankyuKb 	) { this.thankyukb 	= tHankyuKb ; }	//半休区分
	public void setSoRiyuu 	(String soRiyuu 	) { this.soriyuu  	= soRiyuu 	; }	//早退理由
	public void setSoComent 	(String soComent 	) { this.socoment  	= soComent 	; }	//早退コメント
	public void setSoSyoumei 	(String soSyoumei 	) { this.sosyoumei 	= soSyoumei ; }	//早退証明書
	public void setSoJikan 	(int 	soJikan 	) { this.sojikan  	= soJikan 	; }	//早退時間
	public void setZaJikan 	(int 	zaJikan 	) { this.zajikan  	= zaJikan 	; }	//残業時間
	public void setKsJikan 	(int 	ksJikan 	) { this.ksjikan  	= ksJikan 	; }	//休出時間
	public void setSnJikan 	(int 	snJikan 	) { this.snjikan  	= snJikan 	; }	//深夜時間
	public void setSyokuji 	(int 	syokuji 	) { this.syokuji  	= syokuji 	; }	//食事手当支給
	public void setCyoku1 		(int 	cyoku1 		) { this.cyoku1  	= cyoku1 	; }	//1直手当支給
	public void setCyoku2 		(int 	cyoku2 		) { this.cyoku2  	= cyoku2 	; }	//2直手当支給
	public void setCyoku3 		(int 	cyoku3 		) { this.cyoku3  	= cyoku3 	; }	//3直手当支給
	public void setHoka1 		(int 	hoka1 		) { this.hoka1  	= hoka1 	; }	//その他支給1
	public void setHoka2 		(int 	hoka2 		) { this.hoka2  	= hoka2 	; }	//その他支給2
	public void setHoka3 		(int 	hoka3 		) { this.hoka3  	= hoka3 	; }	//その他支給3
	public void setHoka4 		(int 	hoka4 		) { this.hoka4  	= hoka4 	; }	//その他支給4
	public void setHoka5 		(int 	hoka5 		) { this.hoka5  	= hoka5 	; }	//その他支給5
	public void setTaTimes 	(String taTimes 	) { this.tatimes  	= taTimes 	; }	//退社入力日時
	public void setKKRiyuu 	(String kkRiyuu 	) { this.kkriyuu  	= kkRiyuu 	; }	//休暇理由
	public void setDaiKyuJyu 	(String daikyuJyu 	) { this.daikyujyu 	= daikyuJyu ; }	//代休充当日
	public void setKKComent 	(String kkComent 	) { this.kkcoment  	= kkComent 	; }	//休暇コメント
	public void setKKSyoumei 	(String kkSyoumei 	) { this.kksyoumei 	= kkSyoumei ; }	//休暇証明書
	public void setKKJikan 	(int 	kkJikan 	) { this.kkjikan  	= kkJikan 	; }	//休暇時間
	public void setKKTimes 	(String kkTimes 	) { this.kktimes  	= kkTimes 	; }	//休暇入力日時
	public void setSnRiyuu 	(String snRiyuu 	) { this.snriyuu  	= snRiyuu 	; }	//承認理由
	public void setSnComent 	(String snComent 	) { this.sncoment  	= snComent 	; }	//承認コメント
	public void setSnTimes 	(String snTimes 	) { this.sntimes  	= snTimes 	; }	//承認入力日時
	public void setUpdtTimes 	(String updtTimes 	) { this.updttimes 	= updtTimes ; }	//更新日時
	public void setNijiKyu		(int 	nijiKyu		) { this.nijikyu 	= nijiKyu	; } //二時間年休
	public void setWarimasi1	(int 	warimasi1	) { this.warimasi1 	= warimasi1	; }	//1.00割増時間
	public void setZKinmu		(String zkinmu		) { this.zkinmu 	= zkinmu	; } //前回勤務形態

}
